SOAPFault (Axis API)
Keywords: org.apache.axis.message.SOAPFault class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPFault

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.MessageElement
              org.apache.axis.message.SOAPBodyElement
                  org.apache.axis.message.SOAPFault

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, Node, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, SOAPBodyElement, SOAPElement, SOAPFault

public class SOAPFault
extends SOAPBodyElement
implements SOAPFault

A Fault body element.

Author:
  Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@macromedia.com)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected Detail` | `detail`
`protected AxisFault` | `fault`
`protected java.lang.String` | `prefix`

Fields inherited from class org.apache.axis.message.MessageElement
`_isRoot, context, encodingStyle, endEventIndex, fixupDeserializer, href, id, message, namespaces, qNameAttrs, recorder, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, name, namespaceURI, parent, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPFault(AxisFault fault)`
`SOAPFault(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attrs, DeserializationContext context)`

Method Summary
`Detail` | `addDetail()` Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFaultException` object.
`Detail` | `getDetail()` Returns the detail element for this `SOAPFaultException` object.
`AxisFault` | `getFault()`
`java.lang.String` | `getFaultActor()` Gets the fault actor for this `SOAPFaultException` object.
`java.lang.String` | `getFaultCode()` Gets the fault code for this `SOAPFaultException` object.
`Name` | `getFaultCodeAsName()` Gets the mandatory SOAP 1.1 fault code for this `SOAPFault` object as a SAAJ `Name` object.
`java.lang.String` | `getFaultString()` Gets the fault string for this `SOAPFaultException` object.
`java.util.Locale` | `getFaultStringLocale()` Returns the optional detail element for this `SOAPFault` object.
`void` | `outputImpl(SerializationContext context)` override point -output to a serialization context.
`void` | `setFault(AxisFault fault)`
`void` | `setFaultActor(java.lang.String faultActor)` Sets this `SOAPFaultException` object with the given fault actor.
`void` | `setFaultCode(Name faultCodeQName)` Sets this `SOAPFault` object with the given fault code.
`void` | `setFaultCode(java.lang.String faultCode)` Sets this `SOAPFaultException` object with the given fault code.
`void` | `setFaultString(java.lang.String faultString)` Sets the fault string for this `SOAPFaultException` object to the given string.
`void` | `setFaultString(java.lang.String faultString, java.util.Locale locale)` Sets the fault string for this `SOAPFault` object to the given string and localized to the given locale.

Methods inherited from class org.apache.axis.message.SOAPBodyElement
`setParentElement`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, childDeepCloned, cloneNode, cloning, detachAllChildren, equals, findElement, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributesEx, getAttributeValue, getAttributeValue, getChildElement, getChildElements, getChildElements, getChildElements, getChildren, getCompleteAttributes, getDeserializationContext, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getLength, getName, getNamespacePrefixes, getNamespaceURI, getObjectValue, getObjectValue, getOwnerDocument, getPrefix, getQName, getRealElement, getRecorder, getTagName, getType, getValue, getValueAsType, getValueAsType, getValueDOM, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, isRoot, item, output, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeContents, removeNamespaceDeclaration, setAllAttributes, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setQName, setRecorder, setType, setValue, toString`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, convertAttrSAXtoDOM, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, recycleNode, removeChild, replaceChild, reset, setDirty, setDirty, setNodeValue, setOwnerDocument, setParent, setPrefix`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Field Detail

### fault

    protected AxisFault fault

### prefix

    protected java.lang.String prefix

### detail

    protected Detail detail

Constructor Detail

### SOAPFault

    public SOAPFault(java.lang.String namespace,
                     java.lang.String localName,
                     java.lang.String prefix,
                     org.xml.sax.Attributes attrs,
                     DeserializationContext context)
              throws AxisFault

### SOAPFault

    public SOAPFault(AxisFault fault)

Method Detail

### outputImpl

    public void outputImpl(SerializationContext context)
                    throws java.lang.Exception

  Description copied from class: `MessageElement`
  override point -output to a serialization context.

  Overrides:
    `outputImpl` in class `MessageElement`
  Parameters:
    `context` - destination.
  Throws:
    `java.lang.Exception` - if something went wrong.

### getFault

    public AxisFault getFault()

### setFault

    public void setFault(AxisFault fault)

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)
                      throws SOAPException

  Sets this `SOAPFaultException` object with the given fault code.

  Fault codes, which given information about the fault, are defined in the SOAP 1.1 specification.

  Specified by:
    `setFaultCode` in interface `SOAPFault`
  Parameters:
    `faultCode` - a `String` giving the fault code to be set; must be one of the fault codes defined in the SOAP 1.1 specification
  Throws:
    `SOAPException` - if there was an error in adding the `faultCode` to the underlying XML tree.
  See Also:
    `getFaultCode()`

### getFaultCode

    public java.lang.String getFaultCode()

  Gets the fault code for this `SOAPFaultException` object.

  Specified by:
    `getFaultCode` in interface `SOAPFault`
  Returns:
    a `String` with the fault code
  See Also:
    `setFaultCode(java.lang.String)`

### setFaultActor

    public void setFaultActor(java.lang.String faultActor)
                       throws SOAPException

  Sets this `SOAPFaultException` object with the given fault actor.

  The fault actor is the recipient in the message path who caused the fault to happen.

  Specified by:
    `setFaultActor` in interface `SOAPFault`
  Parameters:
    `faultActor` - a `String` identifying the actor that caused this `SOAPFaultException` object
  Throws:
    `SOAPException` - if there was an error in adding the `faultActor` to the underlying XML tree.
  See Also:
    `getFaultActor()`

### getFaultActor

    public java.lang.String getFaultActor()

  Gets the fault actor for this `SOAPFaultException` object.

  Specified by:
    `getFaultActor` in interface `SOAPFault`
  Returns:
    a `String` giving the actor in the message path that caused this `SOAPFaultException` object
  See Also:
    `setFaultActor(java.lang.String)`

### setFaultString

    public void setFaultString(java.lang.String faultString)
                        throws SOAPException

  Sets the fault string for this `SOAPFaultException` object to the given string.

  Specified by:
    `setFaultString` in interface `SOAPFault`
  Parameters:
    `faultString` - a `String` giving an explanation of the fault
  Throws:
    `SOAPException` - if there was an error in adding the `faultString` to the underlying XML tree.
  See Also:
    `getFaultString()`

### getFaultString

    public java.lang.String getFaultString()

  Gets the fault string for this `SOAPFaultException` object.

  Specified by:
    `getFaultString` in interface `SOAPFault`
  Returns:
    a `String` giving an explanation of the fault

### getDetail

    public Detail getDetail()

  Returns the detail element for this `SOAPFaultException` object.

  A `Detail` object carries application-specific error information related to `SOAPBodyElement` objects.

  Specified by:
    `getDetail` in interface `SOAPFault`
  Returns:
    a `Detail` object with application-specific error information

### addDetail

    public Detail addDetail()
                     throws SOAPException

  Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFaultException` object.

  It is illegal to add a detail when the fault already contains a detail. Therefore, this method should be called only after the existing detail has been removed.

  Specified by:
    `addDetail` in interface `SOAPFault`
  Returns:
    the new `Detail` object
  Throws:
    `SOAPException` - if this `SOAPFaultException` object already contains a valid `Detail` object

### setFaultCode

    public void setFaultCode(Name faultCodeQName)
                      throws SOAPException

  Description copied from interface: `SOAPFault`
  Sets this `SOAPFault` object with the given fault code. Fault codes, which give information about the fault, are defined in the SOAP 1.1 specification. A fault code is mandatory and must be of type `QName`. This method provides a convenient way to set a fault code. For example,

           SOAPEnvelope se = ...;
           // Create a qualified name in the SOAP namespace with a localName
           // of "Client".  Note that prefix parameter is optional and is null
           // here which causes the implementation to use an appropriate prefix.
           Name qname = se.createName("Client", null,
           SOAPConstants.URI_NS_SOAP_ENVELOPE);
           SOAPFault fault = ...;
           fault.setFaultCode(qname);

       It is preferable to use this method over setFaultCode(String).

  Specified by:
    `setFaultCode` in interface `SOAPFault`
  Parameters:
    `faultCodeQName` - a `Name` object giving the fault code to be set. It must be namespace qualified.
  Throws:
    `SOAPException` - if there was an error in adding the `faultcode` element to the underlying XML tree

### getFaultCodeAsName

    public Name getFaultCodeAsName()

  Description copied from interface: `SOAPFault`
  Gets the mandatory SOAP 1.1 fault code for this `SOAPFault` object as a SAAJ `Name` object. The SOAP 1.1 specification requires the value of the "faultcode" element to be of type QName. This method returns the content of the element as a QName in the form of a SAAJ `Name` object. This method should be used instead of the `getFaultCode()` method since it allows applications to easily access the namespace name without additional parsing.

  In the future, a QName object version of this method may also be added.

  Specified by:
    `getFaultCodeAsName` in interface `SOAPFault`
  Returns:
    a `Name` representing the faultcode

### setFaultString

    public void setFaultString(java.lang.String faultString,
                               java.util.Locale locale)
                        throws SOAPException

  Description copied from interface: `SOAPFault`
  Sets the fault string for this `SOAPFault` object to the given string and localized to the given locale.

  Specified by:
    `setFaultString` in interface `SOAPFault`
  Parameters:
    `faultString` - a `String` giving an explanation of the fault
    `locale` - a `Locale` object indicating the native language of the `faultString`
  Throws:
    `SOAPException` - if there was an error in adding the `faultString` to the underlying XML tree

### getFaultStringLocale

    public java.util.Locale getFaultStringLocale()

  Description copied from interface: `SOAPFault`
  Returns the optional detail element for this `SOAPFault` object.

  Specified by:
    `getFaultStringLocale` in interface `SOAPFault`
  Returns:
    a `Locale` object indicating the native language of the fault string or `null` if no locale was specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.